function define_local_datasets

% define spareice etc.

%    'basedir', '/scratch/uni/u237/user_data/gholl/products/passive_syn_iwp', ...

CollocatedNNIWP('name', 'col_syn_iwp', ...
    'basedir', '/scratch/uni/u237/user_data/gholl/products/experimental/avhrr_345_mhs_345_angles_tsurfcfsr_all_global_h/', ...
    'subdir', '$YEAR4/$MONTH/$DAY', ...
    'filename', 'granule_$VERSION_$SAT_$HOUR_$MINUTE.nc.gz', ...
    'altfilename', '$SAT_$HOUR_$MINUTE.nc.gz', ...
    'version', '0.8', ...
    'networks', struct(...
        'version_0_2', '/scratch/uni/u237/user_data/gholl/neuralnets/avhrr_12345_mhs_345_lat_angles_all_global_MEAN_AVHRR_Y,1,2,3,4,5,B_BT,3,4,5,B_LZA,B_LAA,B_SZA,B_SAA,LAT1,_to_MEAN_IWP_2C,_noise0.00,_0.mat', ...
        'version_0_3', '/scratch/uni/u237/user_data/gholl/neuralnets/avhrr_12345_mhs_345_lat_angles_elev_all_global_MEAN_AVHRR_Y,1,2,3,4,5,B_BT,3,4,5,B_LZA,B_LAA,B_SZA,B_SAA,LAT1,Surface_elevation,_to_MEAN_IWP_2C,_noise0.00,_0.mat', ...
        'version_0_4', '/scratch/uni/u237/user_data/gholl/neuralnets/avhrr_12345_mhs_345_lat_angles_elevn_all_global_MEAN_AVHRR_Y,1,2,3,4,5,B_BT,3,4,5,B_LZA,B_LAA,B_SZA,B_SAA,LAT1,Surface_elevation,_to_MEAN_IWP_2C,_noise0.00,_0.mat', ...
        'version_0_5', '/scratch/uni/u237/user_data/gholl/neuralnets/avhrr_12345_mhs_345_lat_angles_elevn_dz_all_global_MEAN_AVHRR_Y,1,2,3,4,5,B_BT,3,4,5,B_LZA,B_LAA,B_SZA,B_SAA,LAT1,Surface_elevation,Surface_elevation_std,_to_MEAN_IWP_2C,_noise0.00,_0.mat', ...
        'version_0_5b', '/scratch/uni/u237/user_data/gholl/neuralnets/avhrr_12345_mhs_345_lat_angles_elevn_dz_all_global_MEAN_AVHRR_Y,1,2,3,4,5,B_BT,3,4,5,B_LZA,B_LAA,B_SZA,B_SAA,LAT1,Surface_elevation,Surface_elevation_std,_to_MEAN_IWP_2C,_noise0.00,_0.mat', ...
        'version_0_6', '/scratch/uni/u237/user_data/gholl/neuralnets/avhrr_12345_mhs_345_lat_angles_elevn_dz_all_global_MEAN_AVHRR_Y,1,2,3,4,5,B_BT,3,4,5,B_LZA,B_LAA,B_SZA,B_SAA,LAT1,Surface_elevation,Surface_elevation_std,_to_MEAN_IWP_2C,_noise0.00,_v0.6_0.mat', ...
        'version_0_7', '/scratch/uni/u237/user_data/gholl/neuralnets/avhrr_12345_mhs_345_lat_angles_elevn_dz_all_global_MEAN_AVHRR_Y,1,2,3,4,5,B_BT,3,4,5,B_LZA,B_LAA,B_SZA,B_SAA,LAT1,Surface_elevation,Surface_elevation_std,_to_MEAN_IWP_2C,_noise0.00,_v0.6_0.mat', ...
        'version_0_8', '/scratch/uni/u237/user_data/gholl/neuralnets/avhrr_345_mhs_345_angles_tsurfcfsr_all_global_MEAN_AVHRR_Y,3,4,5,B_BT,3,4,5,B_LZA,B_LAA,B_SZA,B_SAA,CFSR_Skin_temperature,_to_MEAN_IWP_2C,_noise0.00,_v0.7_1.mat'), ...
    'pseudo_fields', struct(...
        'Surface_elevation', struct(...
            'dependencies', {{'LAT', 'LON'}}), ...
        'Surface_elevation_std', struct(...
            'dependencies', {{'LAT', 'LON'}})), ...
    'reader_processor', @ccniwp_proc, ...
    'granule_duration', 6130);

end
